package com.fs.qw.domain;

import lombok.Data;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

@Data
public class QwRoomCreate {
    private List<String> userList; // 群成员ID列表
    private String roomName; // 群名称
    private Integer roomType; // 群类型：1外部群；0内部群

    public Map<String, Object> toMap() {
        Map<String, Object> roomMap = new HashMap<>();
        roomMap.put("userList", userList);
        roomMap.put("roomName", roomName);
        roomMap.put("roomType", roomType);
        return roomMap;
    }
}
